// audio.js module
// Provides audio utilities
//
// Exports:
//   play
//      argument: playState (defaults to true)
//      plays or pauses audio depending on argument
//   pause
//      pauses audio (shorthand for play(false)
//   setAudioFile
//      argument: filePath
//      sets file to be played
//   playAudioFile
//      argument: filePath
//      sets file to be played and also initiates playing
//      shorthand for: setAudioFile(filePath); play();

import $ from "./jquery.module.js";

let $audio7gen;

$(() => {
    $audio7gen = $("#audio7gen");
    if ($audio7gen.length === 0) {
        // Create element if it doesn't exist
        $audio7gen = $(`<audio id="audio7gen"></audio>`);
        $("body").append($audio7gen);
    }
});

function play(playState = true) {
    if (playState === true) {
        $audio7gen[0].play();
    }
    else {
        $audio7gen[0].pause();
    }
}

function pause() {
    play(false);
}

/* SETS FILE PATH FOR AUDIO */
/* COMBINE WITH PLAY FUNCTION ABOVE TO PLAY AUDIO FILE */
function setAudioFile(filePath) {
    $audio7gen[0].pause();
    $audio7gen.attr("src", filePath);
}

/* SETS PATH AND PLAYS AUDIO FILE */
function playAudioFile(filePath) {
    setAudioFile(filePath);
    $audio7gen[0].play();
}

export {play, pause, setAudioFile, playAudioFile};
