import * as audio from "./audio.js";
import {shuffle, getShuffledArray} from "./shuffle.js";
import SetConfig from "./set_config_class.js";
import $ from "./jquery.module.js";
import {setAudioFile} from "./audio.js";

let set_config = new SetConfig();
let config ;
let selected = null;
let $firstColumn = [];
let $secondColumn = [];
let $thirdColumn = [];
let answered = [];
let wrong = 0;
let right = 0;
let options ;
let facts ;
let hintMessage; 
let numberOfQuestions ;
function setConfig(config) {
    set_config.setConfig(config);
}

    function init() {
        setupgame();
    }



    function setupgame() {
        // Assemble columns
        let i;
        $("#instructions").html(options.instructions);

        let shuffledFacts = getShuffledArray(facts);
        let $gameboard = $(`#gameboard`);
        for (i = 0; i < numberOfQuestions; i++) {
            $firstColumn[i]  = $(`<div data-question="${i}" class="factItem">${shuffledFacts[i][0]}</div>`);
            $secondColumn[i] = $(`<div data-question="${i}" class="ansItem">${shuffledFacts[i][1]}</div>`);
            $thirdColumn[i]  = $(`<div data-question="${i}" class="factItem invisible " id="rightAns${i}"></div>`);

            let data = {
                factNumber: i,
                first: $firstColumn[i],
                second: $secondColumn[i]
            };

            $firstColumn[i].on("click",  data, click1);
            $secondColumn[i].on("click", data, click2);
            answered[i] = false;
        }

        shuffle($firstColumn);

        for (i = 0; i < numberOfQuestions; i++) {
            $gameboard.append($firstColumn[i], $secondColumn[i], $thirdColumn[i]);
        }
    }
    /*  SHOWS DIALOG BOX TELLING TO SELECT TERM FIRST */
    /* HIDES BOX WHEN OK IS CLICKED */
    function showDialog() {
        $("#dialog-frame").removeClass('d-none');
        $("#dialog-box").removeClass('d-none');
    }
    function dialogOK(evt) {
        $("#dialog-box").addClass('d-none');
        $("#dialog-frame").addClass('d-none');
    }

    $("#ok-button").on("click", dialogOK); // CLOSES THE DIALOG BOX
/* END DIALOG BOX */

    // Handles changing color when picked, de-selecting element, counting correct answers ;
    function click1(ev) {
        let factNumber = ev.data.factNumber;
        if (answered[factNumber]) {
            return;
        }
        // IF NOTHING HAS BEEN SELECTED, SETS BACKGROUND COLOR TO GREEN, GETS NUMBER FOR FACT/ TERM ;
        if (selected === null) {
            selected = {el: ev.data.first, factNumber: ev.data.factNumber};
            selected.el.css("background-color", "lightgreen");
        }
        else {
            if (selected.factNumber === factNumber) {
                selected.el.css("background-color", "lightgreen");
                selected = null;
            }
            /*
            IF A PREVIOUS TERM WAS SELECTED, SETS THAT BOX BACK TO WHITE AND SELECTS THIS ONE.
            TURNS THE BOX GREEN AND GETS NUMBER FOR THAT FACT
             */
            else {
                selected.el.css("background-color", "white");
                selected = {el: ev.data.first, factNumber: ev.data.factNumber};
                selected.el.css("background-color", "lightgreen");
            }
        }
    }

    function click2(ev) {
        let factNumber = ev.data.factNumber;
        let thirdID = "#rightAns" + factNumber ;
        if (answered[factNumber]) {
            console.log(4)
            return;
        }
        if (selected === null) {
            showDialog() ;
            return;
        }
        /* IF A BOX HAS ALREADY BEEN CLICKED AND THIS ONE MATCHES IT, SETS THE THIRD
            COLUMN

         */
        else if (selected.factNumber === factNumber) {
            answered[factNumber] = true;
            ev.data.second.css("background-color", "lightgreen");
            $thirdColumn[factNumber].html(selected.el.html()).css("background-color", "lightgreen");
            selected.el.css("visibility", "hidden");
            scoreQuestion(true);
            selected = null;
            $(thirdID).removeClass('invisible') ;
        }
        else {
            scoreQuestion(false);
            selected.el.css("background-color", "lightcoral");
        }
    }

    function scoreQuestion(answerIsRight) {
        if (answerIsRight) {

            $("#out").val("RIGHT")
            right++;

            document.f.score.value = String(right);

            if (right === numberOfQuestions) { //means they got all of them right

                    $(".right").removeClass('d-none');
                    $(".divb").addClass("d-none");



                audio.setAudioFile("audio/applause.mp3") ;
                audio.playAudioFile("audio/applause.mp3") ;

            }

        }
        else {
            // document.f.out.value = "WRONG";
            $("#out").val("WRONG")
            wrong++;
                $("#wrong").removeClass('d-none');
                $("#redo").removeClass('d-none');
                $(".divb").addClass("d-none");
                audio.setAudioFile("audio/fail_sound.mp3") ;
                audio.playAudioFile("audio/fail_sound.mp3") ;
        }
    }

    $("#redo").on("click",function(){
        window.location.reload() ;
    })




$(() => {
     config = set_config.config;
     options = config.options;
     facts = config.terms;
     numberOfQuestions = options.numberOfQuestions;
    $("#instructionsText").html(options.instructionsPage1);
    $("#main").css({"background-image" : "url('" + options.pageBackground + "')"
    });
    if (options.instructionsPage1_audio) {
        setAudioFile(options.instructionsPage1_audio) ;
    }
    else {
        $(".button-row").addClass("invisible") ; // WILL NEED TO CHANGE THIS TO ACCOMMODATE BILINGUAL ;
    }

    $("#play-audio").on("click",function(){
        audio.play(true) ;
    });
    $("#rightText").html(options.correctMsg) ;
    $("#wrongText").html(options.incorrectMsg) ;
    $("#play").on("click", function(){
            // SHOW GAME BOARD AND START GAME ;
            $("#instruct").remove() ;
            $("#next_arrow").addClass('d-none');
            $(".divb").removeClass('d-none') ;
            setAudioFile(options.instructions_audio) ;

            if (options.hintMessage) {
                hintMessage = options.hintMessage ;
                $("#hint").removeClass("d-none").on("click",function(){
                    $("#dialog-box").addClass('hint_box').removeClass('correct incorrect') ;
                    showDialog(hintMessage) ;
                }) ;
            }
            init() ;
    })
    $("#next_arrow").on("click", function() {
        window.location.href = options.completionURL;
    });
});


export {setConfig};