// The "options" object contains global properties (that don't change per screen)
const options = {
    itemsClass: "item",
    instructionsPage1: "Drag each box to the group whose view it represents, Northern Arapaho, Eastern Shoshone or the U.S. Government. <br/>" +
        "A category may be used more than once." ,
    instructionsPage1_audio: "audio/instructionsPage1.mp3" , // Optional - include audio file here if you want the instructions read
    instructions: "<h3 class='text-center p-2'>Match the views with the party in this situation whose perspective it represents. </h3>",
    instructions_audio: "audio/instructions.mp3" , // Optional - include audio here if you want
    completionURL: "../level_up/level_up.html", // URL to proceed to if all items are answered correctly ,
    incorrectURL: "../level_up/level_up.html", // URL to proceed to if not all items are answered correctly ,
    randomizeItems: true,
    hintMessage: "If a hint message is given, a question mark will be in the top left, and show the hint when clicked" ,
    numberOfItemsOnScreen: 4, // How may items are shown on the screen at once
    numberOfAnswersRequired: 6, // The game stops after this number of items are dragged to a category
};

/* THIS BLOCK EXPECTS THREE CATEGORIES */
const categories = [
    {
        categoryID: "category1",
        categoryTitle: "<h1 class='mt-4 mb-4'>Northern Arapaho </h1>",

    },
    {
        categoryID: "category2",
        categoryTitle: "E. Shoshone ",
        image: "images/shoshone_perspective.png",
    },
    {
        categoryID: "category3",
        categoryTitle: "U.S. Government",
        image: "images/us_gov_perspective.png",
    },
];

const items = [
    {
        itemTitle: "Had no reservation lands since U.S. Citizens committed the 1864 Sand Creek Massacre.",
        categoryID: "category1",
    },
    {
        itemTitle: "Had to rely on an adversary to share their lands with them.",
        categoryID: "category1",
    },
    {
        itemTitle: "Were part of the Fort Laramie Treaty, not the 1868 Fort Bridger Treaty.",
        categoryID: "category1",
    },
    {
        itemTitle: "Trusted the U.S. to uphold their treaty agreement." ,
        categoryID: "category2",
    },
    {
        itemTitle: "Wanted to keep their people safe on lands promised through the 1868 Fort Bridger Treaty." ,
        categoryID: "category2",
    },
    {
        itemTitle: "Were being asked to share their hard-won Reservation with an adversary." ,
        categoryID: "category2",
    },
    {
        itemTitle: "Often stood by and even supported their citizens when they broke treaties to invade other nations’ lands that held precious metals." ,
        categoryID: "category3",
    },
    {
        itemTitle: "Consistently revised treaties, often unilaterally, when they didn’t want to follow them." ,
        categoryID: "category3",
    },
    {
        itemTitle: "Forced others to adopt their way of life." ,
        categoryID: "category3",
    },
];


export {options, categories, items};