const options = {
    stage: {
        width: 1024,
        height: 516
    },
    scrolling_image: {
        image_path: "images/mountain_background2.jpg",
        width: "7680px",
        height: "516px"
    },
    end_of_animation: 3840, // as set in CSS
    ground_level: 90,
    runner: {
        image: "images/avatar-running.gif",
        location: {
            top: "400px",
            left: "500px",
        },
        height: "100px",
        jump_height: "200px",
    },

    obstacle_stage_position: 1200, // position from left where new obstacle is inserted
    collision_rect_inset: 10, // inset obstacle rect to make it easier to jump over
    collision_counter_label: "Collisions: ",
    collision_limit: 10, // Game restarts if collisions reach this limit
    obstacle_end_game_count: 20,
    completionURL: "../level_up/level_up.html",
    intro_text: "Get to the end of the course but watch out for cannons and cacti. Hit the space bar to jump over them. If you run into ten you will have to start over. Use the space bar to jump.",
    too_many_collisions_text: "You stepped on ten obstacles. You have to start over!",
    // Purposely omitting exit_text to test the functionality of going directly to the completion url
    // exit_text: "Great! You made it to the end without stepping on too many obstacles!",
    goal_image: {
        image: "images/this_way_to_academy_sign.png",
        height: "auto",
        width: "400px"
    },
    good_sound: "../../audio/win_game.mp3",
    bad_sound: "audio/correct.wav",
    randomize_obstacles: true,
};

const obstacles = [
    {
        image: "images/cannon.png",
        height: "auto",
        width: "90px"
    },
    {
        image: "images/cactus1.png",
        height: "66px",
        width: "32px"
    },
    {
        image: "images/cactus.png",
        height: "auto",
        width: "60px"
    },
];



export {options, obstacles};